From 8ced5f498fc5f2d3d0820bd17bd6925aa551ca48 Mon Sep 17 00:00:00 2001
From: Dylan Yudaken <dyudaken@gmail.com>
Date: Tue, 28 Apr 2009 14:25:54 +0200
Subject: [PATCH] Incorrect time-offset type in rc module

---
 modules/control/rc.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/modules/control/rc.c b/modules/control/rc.c
index dde5d84..f5238c0 100644
--- a/modules/control/rc.c
+++ b/modules/control/rc.c
@@ -955,8 +955,8 @@ static int TimeOffsetChanged( vlc_object_t *p_this, char const *psz_cmd,
     p_input = vlc_object_find( p_intf, VLC_OBJECT_INPUT, FIND_ANYWHERE );
     if( p_input )
     {
-        msg_rc( STATUS_CHANGE "( time-offset: %d )",
-                var_GetInteger( p_input, "time-offset" ) );
+        msg_rc( STATUS_CHANGE "( time-offset: %lld )",
+                (var_GetTime( p_input, "time-offset" )/1000000) );
         vlc_object_release( p_input );
     }
     vlc_mutex_unlock( &p_intf->p_sys->status_lock );
-- 
1.6.0.4

